Time Matters 13 Requirements

Time Matters 13 Third Party Software Requirements

While Time Matters still works on Windows XP computers, the Windows XP operating is far less secure than Windows 7 and Windows 8 now. As of April 8, 2014, Microsoft security updates for Windows XP will no longer be released.

If you are still using Windows XP, you cannot install Word 2013, Excel 2013 and other Office 2013 applications.

Word and Outlook 2003 are no longer supported for Time Matters version after 11.

Certificate Expiration for TM Add-Ins

Certificates for Time Matters add-ins for some programs expired on 6/23/2012. You will probably be affected if (1) You are using any version of Time Matters before 11.1 SP1, AND (2) You use TM links, such as TM Save in MS Word or TM Connect in Outlook. Expect these links to stop working after 6/23/2012, unless you have updated to Time Matters 11.1 Service Pack 1 or applied a fix for TM9, TM10, TM11 or TM11.1 without SP1.
Read More